package com.coldlightalchemist.notesapp.db.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import com.coldlightalchemist.notesapp.db.entities.Note;

import java.util.List;

@Dao
public interface NoteDAO {
    @Query("SELECT * FROM notes")
    List<Note> getAll();

    @Query("SELECT * FROM notes WHERE note_id IN (:noteIDs)")
    List<Note> loadAllByIDs(int[] noteIDs);

    @Query("SELECT * FROM notes WHERE note_title = :noteTitle")
    Note getNoteByTitle(String noteTitle);

    @Update(entity = Note.class)
    void update(Note note);

    @Insert
    void insertAll(Note... notes);

    @Delete
    void delete(Note note);
}
